Index: trunk/mesoscale/LMD_MM_MARS/NOTES.txt
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/NOTES.txt	(revision 12)
+++ trunk/mesoscale/LMD_MM_MARS/NOTES.txt	(revision 12)
@@ -0,0 +1,1 @@
+les liens dans WPS ne sont cree qu'a la premiere execution de prepare_ini
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/geogrid/GEOGRID.TBL.ARW
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/geogrid/GEOGRID.TBL.ARW	(revision 11)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/geogrid/GEOGRID.TBL.ARW	(revision 12)
@@ -7,16 +7,24 @@
         df_dx=SLPX
         df_dy=SLPY
-        smooth_option = smth-desmth_special; smooth_passes=1
-        fill_missing=0.
-        interp_option =     30s:average_gcell(4.0)+four_pt+average_4pt
-        interp_option =      2m:four_pt
-        interp_option =      5m:four_pt
-        interp_option =     10m:four_pt
-        interp_option = default:four_pt
-        rel_path=     30s:topo_30s/
-        rel_path=      2m:topo_2m/
-        rel_path=      5m:topo_5m/
-        rel_path=     10m:topo_10m/
-        rel_path= default:topo_2m/
+        fill_missing=9000.
+        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = smth-desmth_special; smooth_passes=1
+	interp_option =		default:four_pt
+        interp_option = 	32ppd:sixteen_pt+four_pt
+        interp_option =         32ppd_HRalb:four_pt
+        interp_option =         gcm:four_pt
+        interp_option = 	64ppd:four_pt
+        interp_option =         64ppd_noHRti:four_pt
+        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+        interp_option =		custom:four_pt
+        interp_option =         omega:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path= 		32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path= 		64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
 ===============================
 name = HGT_U
@@ -24,16 +32,23 @@
         priority = 1
         dest_type = continuous
-        interp_option =     30s:average_gcell(4.0)+four_pt+average_4pt
-        interp_option =      2m:four_pt
-        interp_option =      5m:four_pt
-        interp_option =     10m:four_pt
-        interp_option = default:four_pt
-        smooth_option = smth-desmth_special; smooth_passes=1
-        fill_missing=0.
-        rel_path=     30s:topo_30s/
-        rel_path=      2m:topo_2m/
-        rel_path=      5m:topo_5m/
-        rel_path=     10m:topo_10m/
-        rel_path= default:topo_2m/
+        fill_missing=9000.
+        smooth_option = 1-2-1; smooth_passes=5
+	interp_option =		default:four_pt
+        interp_option = 	32ppd:four_pt
+        interp_option =         32ppd_HRalb:four_pt
+        interp_option = 	64ppd:four_pt
+        interp_option =         64ppd_noHRti:four_pt
+        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+        interp_option =         custom:four_pt
+        interp_option =         omega:four_pt
+        interp_option =         gcm:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path=               32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path=               64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
 ===============================
 name = HGT_V
@@ -41,107 +56,159 @@
         priority = 1
         dest_type = continuous
-        interp_option =     30s:average_gcell(4.0)+four_pt+average_4pt
-        interp_option =      2m:four_pt
-        interp_option =      5m:four_pt
-        interp_option =     10m:four_pt
-        interp_option = default:four_pt
-        smooth_option = smth-desmth_special; smooth_passes=1
-        fill_missing=0.
-        rel_path=     30s:topo_30s/
-        rel_path=      2m:topo_2m/
-        rel_path=      5m:topo_5m/
-        rel_path=     10m:topo_10m/
-        rel_path= default:topo_2m/
-===============================
-name=LANDUSEF
-        priority=1
-        dest_type=categorical
-        z_dim_name=land_cat
-        landmask_water=16               # Calculate a landmask from this field
-        dominant=LU_INDEX
-        interp_option =     30s:nearest_neighbor
-        interp_option =      2m:four_pt
-        interp_option =      5m:four_pt
-        interp_option =     10m:four_pt
-        interp_option = default:four_pt
-        rel_path=     30s:landuse_30s/
-        rel_path=      2m:landuse_2m/
-        rel_path=      5m:landuse_5m/
-        rel_path=     10m:landuse_10m/
-        rel_path= default:landuse_2m/
-===============================
-name=SOILTEMP
-        priority=1
-        dest_type=continuous
-        interp_option=default:sixteen_pt+four_pt+average_4pt+average_16pt+search
-        masked=water
-        fill_missing=0.
-        rel_path=default:soiltemp_1deg/
-===============================
-name=SOILCTOP
-        dominant=SOILCAT
-        priority=1
-        dest_type=categorical
-        z_dim_name=soil_cat
-        interp_option =     30s:nearest_neighbor
-        interp_option =      2m:four_pt
-        interp_option =      5m:four_pt
-        interp_option =     10m:four_pt
-        interp_option = default:four_pt
-        rel_path=     30s:soiltype_top_30s/
-        rel_path=      2m:soiltype_top_2m/
-        rel_path=      5m:soiltype_top_5m/
-        rel_path=     10m:soiltype_top_10m/
-        rel_path= default:soiltype_top_2m/
-===============================
-name=SOILCBOT
-        priority=1
-        dest_type=categorical
-        z_dim_name=soil_cat
-        interp_option =     30s:nearest_neighbor
-        interp_option =      2m:four_pt
-        interp_option =      5m:four_pt
-        interp_option =     10m:four_pt
-        interp_option = default:four_pt
-        rel_path=     30s:soiltype_bot_30s/
-        rel_path=      2m:soiltype_bot_2m/
-        rel_path=      5m:soiltype_bot_5m/
-        rel_path=     10m:soiltype_bot_10m/
-        rel_path= default:soiltype_bot_2m/
-===============================
-name=ALBEDO12M
-        priority=1
-        dest_type=continuous
-        z_dim_name=month
-        masked = water
-        fill_missing = 8.
-        interp_option=default:four_pt+average_4pt+average_16pt+search
-        rel_path=default:albedo_ncep/
-===============================
-name=GREENFRAC
-        priority=1
-        dest_type=continuous
-        interp_option=default:four_pt+average_4pt+average_16pt+search
-        z_dim_name=month
-        masked = water
-        fill_missing = 0.
-        rel_path=default:greenfrac/
-===============================
-name=SNOALB
-        priority=1
-        dest_type=continuous
-        interp_option=default:four_pt+average_4pt+average_16pt+search
-        masked = water
-        fill_missing = 0.
-        rel_path=default:maxsnowalb/
-===============================
-name=SLOPECAT
-        priority=1
-        dominant_only=SLOPECAT
-        dest_type=categorical
-        z_dim_name=slope_cat
-        masked = water
-        fill_missing = 0.
-        interp_option=default:nearest_neighbor+average_16pt+search
-        rel_path=default:islope/
-===============================
+        fill_missing=9000.
+        smooth_option = 1-2-1; smooth_passes=5
+	interp_option =		default:four_pt
+        interp_option = 	32ppd:four_pt
+        interp_option =         32ppd_HRalb:four_pt
+        interp_option = 	64ppd:four_pt
+        interp_option =         64ppd_noHRti:four_pt
+        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+        interp_option =         custom:four_pt
+        interp_option =         omega:four_pt
+        interp_option =         gcm:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path=               32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path=               64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
+===============================
+name = THERMAL_INERTIA
+        priority = 1
+        dest_type = continuous
+        smooth_option = 1-2-1; smooth_passes=5
+ 	interp_option =	 	32ppd:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               32ppd:thermal_GCM/
+        interp_option =         32ppd_HRalb:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               32ppd_HRalb:thermal_GCM/
+        interp_option =         64ppd:sixteen_pt+four_pt
+        rel_path=               64ppd:thermal_TES/
+        interp_option =         64ppd_noHRti:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               64ppd_noHRti:thermal_GCM/
+        interp_option =         custom:sixteen_pt+four_pt
+#       rel_path=               custom:thermal_TES/
+	rel_path=               custom:thermal_GCM/
+        interp_option =         omega:sixteen_pt+four_pt
+        rel_path=               omega:thermal_GCM/
+        interp_option =         gcm:four_pt
+        rel_path=               gcm:thermal_GCM/
+#	fill_missing=400. #north polar TI (needed with thermal_TES)
+#        fill_missing=180. #polar projection artefacts
+===============================
+name = ALBEDO_GCM
+        priority = 1
+        dest_type = continuous
+        smooth_option = 1-2-1; smooth_passes=5
+#        fill_missing=0.25
+#        interp_option = default:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        interp_option = 32ppd:four_pt+average_4pt+average_16pt+search
+        rel_path =      32ppd:albedo_GCM/
+        interp_option = 32ppd_HRalb:sixteen_pt+four_pt
+        rel_path=       32ppd_HRalb:albedo_TES/
+        interp_option = 64ppd:sixteen_pt+four_pt
+        rel_path=       64ppd:albedo_TES/
+        interp_option = 64ppd_noHRti:sixteen_pt+four_pt
+        rel_path=       64ppd_noHRti:albedo_TES/
+#        fill_missing=0.35 #north polar alb (needed with albedo_TES - albedo_GCM/1.3 to be consistent)
+        interp_option = custom:sixteen_pt+four_pt
+        rel_path=       custom:albedo_TES/
+        interp_option = omega:sixteen_pt+four_pt
+        rel_path=       omega:albedo_OMG/
+        interp_option = gcm:four_pt
+        rel_path =      gcm:albedo_GCM/
+#===============================
+#name=LANDUSEF
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=land_cat
+#        landmask_water=16               # Calculate a landmask from this field
+#        dominant=LU_INDEX
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:landuse_30s/
+#        rel_path=      2m:landuse_2m/
+#        rel_path=      5m:landuse_5m/
+#        rel_path=     10m:landuse_10m/
+#        rel_path= default:landuse_2m/
+#===============================
+#name=SOILTEMP
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:sixteen_pt+four_pt+average_4pt+average_16pt+search
+#        masked=water
+#        fill_missing=0.
+#        rel_path=default:soiltemp_1deg/
+#===============================
+#name=SOILCTOP
+#        dominant=SOILCAT
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=soil_cat
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:soiltype_top_30s/
+#        rel_path=      2m:soiltype_top_2m/
+#        rel_path=      5m:soiltype_top_5m/
+#        rel_path=     10m:soiltype_top_10m/
+#        rel_path= default:soiltype_top_2m/
+#===============================
+#name=SOILCBOT
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=soil_cat
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:soiltype_bot_30s/
+#        rel_path=      2m:soiltype_bot_2m/
+#        rel_path=      5m:soiltype_bot_5m/
+#        rel_path=     10m:soiltype_bot_10m/
+#        rel_path= default:soiltype_bot_2m/
+#===============================
+#name=ALBEDO12M
+#        priority=1
+#        dest_type=continuous
+#        z_dim_name=month
+#        masked = water
+#        fill_missing = 8.
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        rel_path=default:albedo_ncep/
+#===============================
+#name=GREENFRAC
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        z_dim_name=month
+#        masked = water
+#        fill_missing = 0.
+#        rel_path=default:greenfrac/
+#===============================
+#name=SNOALB
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        masked = water
+#        fill_missing = 0.
+#        rel_path=default:maxsnowalb/
+#===============================
+#name=SLOPECAT
+#        priority=1
+#        dominant_only=SLOPECAT
+#        dest_type=categorical
+#        z_dim_name=slope_cat
+#        masked = water
+#        fill_missing = 0.
+#        interp_option=default:nearest_neighbor+average_16pt+search
+#        rel_path=default:islope/
+#===============================
+
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/geogrid/src/constants_module.f90
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/geogrid/src/constants_module.f90	(revision 11)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/geogrid/src/constants_module.f90	(revision 12)
@@ -7,5 +7,8 @@
 
    real, parameter :: PI = 3.141592653589793
-   real, parameter :: OMEGA_E = 7.292e-5 ! Angular rotation rate of the earth
+!   real, parameter :: OMEGA_E = 7.292e-5 ! Angular rotation rate of the earth
+!*** Mars
+   real, parameter :: OMEGA_E = 7.0721E-5 ! Angular rotation rate of Mars
+!*** Mars
 
    real, parameter :: DEG_PER_RAD = 180./PI
@@ -14,9 +17,19 @@
    ! Mean Earth Radius in m.  The value below is consistent
    ! with NCEP's routines and grids.
+!************************************************************************
+! Earth ellipsoid: only used on specific polar stereographic projections
+! - equatorial axis
    real, parameter :: A_WGS84 = 6378137.
+! - polar axis
    real, parameter :: B_WGS84 = 6356752.314
    real, parameter :: RE_WGS84 = A_WGS84
    real, parameter :: E_WGS84 = 0.081819192
-   real, parameter :: EARTH_RADIUS_M = 6370000.   ! same as MM5 system
+!************************************************************************
+!   real, parameter :: EARTH_RADIUS_M = 6370000.   ! same as MM5 system
+!*** Mars
+!!necessary if WRFSI intermediate file is used
+!!instead of WPS intermediate file format
+   real, parameter :: EARTH_RADIUS_M = 3397200.   ! same as MM5 system 
+!*** Mars
    real, parameter :: EARTH_CIRC_M = 2.*PI*EARTH_RADIUS_M
 
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/METGRID.TBL.ARW
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/METGRID.TBL.ARW	(revision 11)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/METGRID.TBL.ARW	(revision 12)
@@ -54,5 +54,5 @@
         fill_lev = 4 : SOILM040(200100)      
         fill_lev = 5 : SOILM160(200100)      
-        fill_lev = 6 : SOILM300(200100)      
+	fill_lev = 6 : SOILM300(200100)      
 ========================================
 name=SOILT
@@ -97,13 +97,25 @@
 ========================================
 name=SKINTEMP
-        interp_option=sixteen_pt+four_pt+wt_average_4pt+wt_average_16pt+search
+#        interp_option=sixteen_pt+four_pt+wt_average_4pt+wt_average_16pt+search
+#        interp_option=four_pt
+#        mandatory=yes    # MUST HAVE THIS FIELD
+## commenter les trois prochaines lignes ?
+#        masked=both
+#        interp_land_mask  = LANDSEA(1)
+#        interp_water_mask = LANDSEA(0)
+#        fill_missing=0.
         mandatory=yes    # MUST HAVE THIS FIELD
-        masked=both
-        interp_land_mask  = LANDSEA(1)
-        interp_water_mask = LANDSEA(0)
-        fill_missing=0.
+        interp_option=four_pt+average_4pt
+        #careful: inputs from the GCMs are in a "polygonal" world !
+        #        interp_option=sixteen_pt+four_pt+average_4pt
+        interp_option=sixteen_pt+four_pt
+        fill_missing=-1.0e+30
+        missing_value=-9.99e+33
 ========================================
 name=PSFC
-        interp_option=four_pt+average_4pt
+#        interp_option=four_pt+average_4pt
+#        interp_option=sixteen_pt+average_16pt
+#careful: inputs from the GCMs are in a "polygonal" world !
+        interp_option=sixteen_pt+four_pt+average_4pt
         fill_lev=200100:const(200100.)
         flag_in_output=FLAG_PSFC
@@ -122,5 +134,5 @@
 ========================================
 name=SW000010
-        interp_option=sixteen_pt+four_pt+average_4pt+search
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
         masked=water
         interp_mask=LANDSEA(0)
@@ -129,5 +141,5 @@
 ========================================
 name=SW010040
-        interp_option=sixteen_pt+four_pt+average_4pt+search
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
         masked=water
         interp_mask=LANDSEA(0)
@@ -136,5 +148,5 @@
 ========================================
 name=SW040100
-        interp_option=sixteen_pt+four_pt+average_4pt+search
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
         masked=water
         interp_mask=LANDSEA(0)
@@ -143,5 +155,5 @@
 ========================================
 name=SW100200
-        interp_option=sixteen_pt+four_pt+average_4pt+search
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
         masked=water
         interp_mask=LANDSEA(0)
@@ -150,5 +162,5 @@
 ========================================
 name=SW010200
-        interp_option=sixteen_pt+four_pt+average_4pt+search
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
         masked=water
         interp_mask=LANDSEA(0)
@@ -157,75 +169,90 @@
 ========================================
 name=SM000010
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=1.
         flag_in_output=FLAG_SM000010
 ========================================
 name=SM010040
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=1.
         flag_in_output=FLAG_SM010040
 ========================================
 name=SM040100
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=1.
         flag_in_output=FLAG_SM040100
 ========================================
 name=SM100200
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=1.
         flag_in_output=FLAG_SM100200
 ========================================
 name=SM010200
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=1.
         flag_in_output=FLAG_SM010200
 ========================================
+# EMISSIVITY
 name=ST000010
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
-        fill_missing=285.
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=sixteen_pt+four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
+        fill_missing=0.
         flag_in_output=FLAG_ST000010
 ========================================
+# CO2 ICE
 name=ST010040
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
-        fill_missing=285.
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+#        interp_option=sixteen_pt+four_pt
+        interp_option=four_pt
+###ATTENTION sixteen_pt donne des valeurs negatives
+#        masked=water
+#        interp_mask=LANDSEA(0)
+        fill_missing=0.
         flag_in_output=FLAG_ST010040
 ========================================
 name=ST040100
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=285.
         flag_in_output=FLAG_ST040100
 ========================================
 name=ST100200
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=285.
         flag_in_output=FLAG_ST100200
 ========================================
 name=ST010200
-        interp_option=sixteen_pt+four_pt+average_4pt+search
-        masked=water
-        interp_mask=LANDSEA(0)
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
+#        masked=water
+#        interp_mask=LANDSEA(0)
         fill_missing=285.
         flag_in_output=FLAG_ST010200
 ========================================
 name=SM000007
-        interp_option=sixteen_pt+four_pt+average_4pt+search
+#        interp_option=sixteen_pt+four_pt+average_4pt+search
+        interp_option=four_pt
         masked=water
         interp_mask=LANDSEA(0)
@@ -371,6 +398,6 @@
 name=RH
         interp_option=sixteen_pt+four_pt+average_4pt
-        fill_missing=0.
-        fill_lev=200100:const(0.)
+        fill_missing=100.
+        fill_lev=200100:const(0.)        
 ========================================
 name=TAVGSFC
@@ -383,8 +410,17 @@
                          #   write the field out as TT
 ========================================
+#average_4pt, average_16pt, wt_average_4pt, wt_average_16pt, 
+#nearest_neighbor, four_pt, sixteen_pt, search, average_gcell(r)
+#
+#wt_average: bof
+#average_gcell: bof aussi
 name=TT
         mandatory=yes    # MUST HAVE THIS FIELD
-        interp_option=four_pt+average_4pt
-        fill_missing=0.
+#        interp_option=four_pt+average_4pt
+#careful: inputs from the GCMs are in a "polygonal" world !
+        interp_option=sixteen_pt+four_pt+average_4pt
+#        interp_option=sixteen_pt+four_pt
+        fill_missing=-1.0e+30
+        missing_value=-9.99e+33
 ========================================
 name=U ; output_name=UU  # If we get U, use entry from UU and
@@ -394,7 +430,9 @@
         mandatory=yes    # MUST HAVE THIS FIELD
         interp_option=sixteen_pt+four_pt+average_4pt
+#        interp_option=sixteen_pt+four_pt
         is_u_field=yes
         output_stagger=U
-        fill_missing=0.
+        fill_missing=-1.0e+30
+	missing_value=-9.99e+33
 ========================================
 name=V ; output_name=VV  # If we get V, use entry from VV and
@@ -404,7 +442,9 @@
         mandatory=yes    # MUST HAVE THIS FIELD
         interp_option=sixteen_pt+four_pt+average_4pt
+#        interp_option=sixteen_pt+four_pt
         is_v_field=yes
         output_stagger=V
-        fill_missing=0.
+        fill_missing=-1.0e+30
+        missing_value=-9.99e+33
 ========================================
 name=SST
@@ -474,5 +514,33 @@
 ========================================
 name=SOILHGT
-        interp_option=four_pt+average_4pt
+#        interp_option=four_pt+average_4pt
+#careful: inputs from the GCMs are in a "polygonal" world !
+        interp_option=sixteen_pt+four_pt+average_4pt
         flag_in_output=FLAG_SOILHGT
 ========================================
+name=HV 
+#        mandatory=yes    # MUST HAVE THIS FIELD
+#        interp_option=sixteen_pt+four_pt+average_4pt
+#        interp_option=sixteen_pt+four_pt
+        interp_option=four_pt
+#        fill_lev=200100:const(0.)
+        fill_missing=-1.0e+30
+	missing_value=-9.99e+33
+========================================
+name=HI 
+#        mandatory=yes    # MUST HAVE THIS FIELD
+#        interp_option=sixteen_pt+four_pt+average_4pt
+#        interp_option=sixteen_pt+four_pt
+        interp_option=four_pt        
+#        fill_lev=200100:const(0.)
+        fill_missing=-1.0e+30
+	missing_value=-9.99e+33
+========================================
+name=TSOIL
+#        mandatory=yes    # MUST HAVE THIS FIELD
+#         interp_option=sixteen_pt+four_pt+average_4pt
+         interp_option=sixteen_pt+four_pt
+#        fill_lev=200100:const(0.)
+         fill_missing=-1.0e+30
+         missing_value=-9.99e+33
+========================================
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/src/module_date_pack.f90
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/src/module_date_pack.f90	(revision 11)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/src/module_date_pack.f90	(revision 12)
@@ -11,4 +11,8 @@
 !  3. split_date_char ( date , century_year , month , day , hour , minute , second )
 !  Given the date, return the integer components.
+
+!****************
+! subroutines are similar to the ones in module_date_time in the WRF share directory
+!****************
 
 use module_debug
@@ -68,17 +72,19 @@
       
       !  Assign the number of days in a months
-      
-      mday( 1) = 31
-      mday( 2) = 28
-      mday( 3) = 31
-      mday( 4) = 30
-      mday( 5) = 31
-      mday( 6) = 30
-      mday( 7) = 31
-      mday( 8) = 31
-      mday( 9) = 30
-      mday(10) = 31
-      mday(11) = 30
-      mday(12) = 31
+
+! months as defined in Martian ESMF routines
+ 
+      mday( 1) = 61
+      mday( 2) = 66
+      mday( 3) = 66
+      mday( 4) = 65
+      mday( 5) = 60
+      mday( 6) = 54
+      mday( 7) = 50
+      mday( 8) = 46
+      mday( 9) = 47
+      mday(10) = 47
+      mday(11) = 51
+      mday(12) = 56
       
       !  Break down old hdate into parts
@@ -143,5 +149,5 @@
       !  Check that the day of NDATE makes sense.
       
-      IF (monew.ne.2) THEN
+!      IF (monew.ne.2) THEN
       ! ...... For all months but February
          IF ((dynew.GT.mday(monew)).or.(dynew.LT.1)) THEN
@@ -149,15 +155,15 @@
             npass = .false.
          END IF
-      ELSE IF (monew.eq.2) THEN
-      ! ...... For February
-         IF ((dynew.GT.nfeb(yrnew)).OR.(dynew.LT.1)) THEN
-            PRINT*, 'GETH_IDTS:  Day of NDATE = ', dynew
-            npass = .false.
-         END IF
-      END IF
+!      ELSE IF (monew.eq.2) THEN
+!      ! ...... For February
+!         IF ((dynew.GT.nfeb(yrnew)).OR.(dynew.LT.1)) THEN
+!            PRINT*, 'GETH_IDTS:  Day of NDATE = ', dynew
+!            npass = .false.
+!         END IF
+!      END IF
       
       !  Check that the day of ODATE makes sense.
       
-      IF (moold.ne.2) THEN
+!      IF (moold.ne.2) THEN
       ! ...... For all months but February
          IF ((dyold.GT.mday(moold)).or.(dyold.LT.1)) THEN
@@ -165,11 +171,11 @@
             opass = .false.
          END IF
-      ELSE IF (moold.eq.2) THEN
-      ! ....... For February
-         IF ((dyold.GT.nfeb(yrold)).or.(dyold.LT.1)) THEN
-            PRINT*, 'GETH_IDTS:  Day of ODATE = ', dyold
-            opass = .false.
-         END IF
-      END IF
+!      ELSE IF (moold.eq.2) THEN
+!      ! ....... For February
+!         IF ((dyold.GT.nfeb(yrold)).or.(dyold.LT.1)) THEN
+!            PRINT*, 'GETH_IDTS:  Day of ODATE = ', dyold
+!            opass = .false.
+!         END IF
+!      END IF
       
       !  Check that the hour of NDATE makes sense.
@@ -189,5 +195,5 @@
       !  Check that the minute of NDATE makes sense.
       
-      IF ((minew.GT.59).or.(minew.LT.0)) THEN
+      IF ((minew.GT.36).or.(minew.LT.0)) THEN
          PRINT*, 'GETH_IDTS:  Minute of NDATE = ', minew
          npass = .false.
@@ -196,5 +202,5 @@
       !  Check that the minute of ODATE makes sense.
       
-      IF ((miold.GT.59).or.(miold.LT.0)) THEN
+      IF ((miold.GT.36).or.(miold.LT.0)) THEN
          PRINT*, 'GETH_IDTS:  Minute of ODATE = ', miold
          opass = .false.
@@ -203,5 +209,5 @@
       !  Check that the second of NDATE makes sense.
       
-      IF ((scnew.GT.59).or.(scnew.LT.0)) THEN
+      IF ((scnew.GT.99).or.(scnew.LT.0)) THEN
          PRINT*, 'GETH_IDTS:  SECOND of NDATE = ', scnew
          npass = .false.
@@ -210,5 +216,5 @@
       !  Check that the second of ODATE makes sense.
       
-      IF ((scold.GT.59).or.(scold.LT.0)) THEN
+      IF ((scold.GT.99).or.(scold.LT.0)) THEN
          PRINT*, 'GETH_IDTS:  Second of ODATE = ', scold
          opass = .false.
@@ -216,8 +222,14 @@
       
       IF (.not. npass) THEN
+         !WRITE( wrf_err_message , * ) 'module_date_time: geth_idts: Bad NDATE: ', ndate(1:nlen)
+         !CALL wrf_error_fatal ( TRIM ( wrf_err_message ) )
+         !****difference with module_date_time
          call mprintf(.true.,ERROR,'Screwy NDATE: %s',s1=ndate(1:nlen))
       END IF
       
       IF (.not. opass) THEN
+         !WRITE( wrf_err_message , * ) 'module_date_time: geth_idts: Bad ODATE: ', odate(1:olen)
+         !CALL wrf_error_fatal ( TRIM ( wrf_err_message ) )
+         !****difference with module_date_time
          call mprintf(.true.,ERROR,'Screwy ODATE: %s',s1=odate(1:olen))
       END IF
@@ -231,13 +243,15 @@
       newdys = 0
       DO i = yrold, yrnew - 1
-         newdys = newdys + (365 + (nfeb(i)-28))
+!         newdys = newdys + (365 + (nfeb(i)-28))
+! so cool to deal with a planet without any february month :)
+         newdys = newdys + 669
       END DO
       
       IF (monew .GT. 1) THEN
-         mday(2) = nfeb(yrnew)
+!         mday(2) = nfeb(yrnew)
          DO i = 1, monew - 1
             newdys = newdys + mday(i)
          END DO
-         mday(2) = 28
+!         mday(2) = 28
       END IF
       
@@ -250,9 +264,9 @@
       
       IF (moold .GT. 1) THEN
-         mday(2) = nfeb(yrold)
+!         mday(2) = nfeb(yrold)
          DO i = 1, moold - 1
             olddys = olddys + mday(i)
          END DO
-         mday(2) = 28
+!         mday(2) = 28
       END IF
       
@@ -261,7 +275,7 @@
       !  Determine the time difference in seconds
       
-      idts = (newdys - olddys) * 86400
-      idts = idts + (hrnew - hrold) * 3600
-      idts = idts + (minew - miold) * 60
+      idts = (newdys - olddys) * 88800    !martian sols
+      idts = idts + (hrnew - hrold) * 3700  !hours
+      idts = idts + (minew - miold) * 100  !minutes
       idts = idts + (scnew - scold)
       
@@ -328,20 +342,20 @@
       CHARACTER (LEN=10) :: hfrc
       CHARACTER (LEN=1) :: sp
-      ! INTEGER, EXTERNAL :: nfeb  ! in the same module now
-
+!      INTEGER, EXTERNAL :: nfeb  ! in the same module now
+      
       !  Assign the number of days in a months
-      
-      mday( 1) = 31
-      mday( 2) = 28
-      mday( 3) = 31
-      mday( 4) = 30
-      mday( 5) = 31
-      mday( 6) = 30
-      mday( 7) = 31
-      mday( 8) = 31
-      mday( 9) = 30
-      mday(10) = 31
-      mday(11) = 30
-      mday(12) = 31
+
+      mday( 1) = 61
+      mday( 2) = 66
+      mday( 3) = 66
+      mday( 4) = 65
+      mday( 5) = 60
+      mday( 6) = 54
+      mday( 7) = 50
+      mday( 8) = 46
+      mday( 9) = 47
+      mday(10) = 47
+      mday(11) = 51
+      mday(12) = 56
       
       !  Break down old hdate into parts
@@ -377,7 +391,7 @@
       END IF
       
-      !  Set the number of days in February for that year.
-      
-      mday(2) = nfeb(yrold)
+!      !  Set the number of days in February for that year.
+      
+!      mday(2) = nfeb(yrold)
       
       !  Check that ODATE makes sense.
@@ -408,5 +422,5 @@
       !  Check that the minute of ODATE makes sense.
       
-      IF ((miold.GT.59).or.(miold.LT.0)) THEN
+      IF ((miold.GT.36).or.(miold.LT.0)) THEN
          WRITE(*,*) 'GETH_NEWDATE:  Minute of ODATE = ', miold
          opass = .FALSE.
@@ -415,5 +429,5 @@
       !  Check that the second of ODATE makes sense.
       
-      IF ((scold.GT.59).or.(scold.LT.0)) THEN
+      IF ((scold.GT.99).or.(scold.LT.0)) THEN
          WRITE(*,*) 'GETH_NEWDATE:  Second of ODATE = ', scold
          opass = .FALSE.
@@ -424,4 +438,7 @@
       
       IF (.not.opass) THEN
+         !WRITE( wrf_err_message , * ) 'module_date_time: GETH_NEWDATE: Bad ODATE: ', odate(1:olen), olen
+         !CALL wrf_error_fatal ( TRIM ( wrf_err_message ) )
+         !**** difference avec module_date_time
          call mprintf(.true.,ERROR,'GETH_NEWDATE: Crazy ODATE: %s %i',s1=odate(1:olen),i1=olen)
       END IF
@@ -435,21 +452,21 @@
          ifrc = olen-20
          ifrc = 10**ifrc
-         nday   = ABS(idt)/(86400*ifrc)
-         nhour  = MOD(ABS(idt),86400*ifrc)/(3600*ifrc)
-         nmin   = MOD(ABS(idt),3600*ifrc)/(60*ifrc)
-         nsec   = MOD(ABS(idt),60*ifrc)/(ifrc)
+         nday   = ABS(idt)/(88800*ifrc)
+         nhour  = MOD(ABS(idt),88800*ifrc)/(3700*ifrc)
+         nmin   = MOD(ABS(idt),3700*ifrc)/(100*ifrc)
+         nsec   = MOD(ABS(idt),100*ifrc)/(ifrc)
          nfrac = MOD(ABS(idt), ifrc)
       ELSE IF (olen.eq.19) THEN  !idt should be in seconds
          ifrc = 1
-         nday   = ABS(idt)/86400 ! Integer number of days in delta-time
-         nhour  = MOD(ABS(idt),86400)/3600
-         nmin   = MOD(ABS(idt),3600)/60
-         nsec   = MOD(ABS(idt),60)
+         nday   = ABS(idt)/88800 ! Integer number of days in delta-time
+         nhour  = MOD(ABS(idt),88800)/3700
+         nmin   = MOD(ABS(idt),3700)/100
+         nsec   = MOD(ABS(idt),100)
          nfrac  = 0
       ELSE IF (olen.eq.16) THEN !idt should be in minutes
          ifrc = 1
-         nday   = ABS(idt)/1440 ! Integer number of days in delta-time
-         nhour  = MOD(ABS(idt),1440)/60
-         nmin   = MOD(ABS(idt),60)
+         nday   = ABS(idt)/2400 ! Integer number of days in delta-time
+         nhour  = MOD(ABS(idt),2400)/100
+         nmin   = MOD(ABS(idt),100)
          nsec   = 0
          nfrac  = 0
@@ -469,4 +486,7 @@
          nfrac  = 0
       ELSE
+         !WRITE( wrf_err_message , * ) 'module_date_time: GETH_NEWDATE: Strange length for ODATE: ',olen
+         !CALL wrf_error_fatal ( TRIM ( wrf_err_message ) )
+         !**** difference with module_date_time
          call mprintf(.true.,ERROR,'GETH_NEWDATE: Strange length for ODATE: %i',i1=olen)
       END IF
@@ -481,12 +501,12 @@
       
          scnew = scold + nsec
-         IF (scnew .GE. 60) THEN
-            scnew = scnew - 60
+         IF (scnew .GE. 100) THEN
+            scnew = scnew - 100
             nmin  = nmin + 1
          END IF
       
          minew = miold + nmin
-         IF (minew .GE. 60) THEN
-            minew = minew - 60
+         IF (minew .GE. 37) THEN
+            minew = minew - 37
             nhour  = nhour + 1
          END IF
@@ -509,6 +529,6 @@
                   monew = 1
                   yrnew = yrnew + 1
-                  ! If the year changes, recompute the number of days in February
-                  mday(2) = nfeb(yrnew)
+                  !! If the year changes, recompute the number of days in February
+                  !mday(2) = nfeb(yrnew)
                END IF
             END IF
@@ -525,5 +545,5 @@
          scnew = scold - nsec
          IF (scnew .LT. 00) THEN
-            scnew = scnew + 60
+            scnew = scnew + 100
             nmin  = nmin + 1
          END IF
@@ -531,5 +551,5 @@
          minew = miold - nmin
          IF (minew .LT. 00) THEN
-            minew = minew + 60
+            minew = minew + 37
             nhour  = nhour + 1
          END IF
@@ -551,6 +571,6 @@
                   monew = 12
                   yrnew = yrnew - 1
-                  ! If the year changes, recompute the number of days in February
-                  mday(2) = nfeb(yrnew)
+                  !! If the year changes, recompute the number of days in February
+                  !mday(2) = nfeb(yrnew)
                END IF
                dynew = mday(monew)
@@ -593,25 +613,29 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-   FUNCTION nfeb ( year ) RESULT (num_days)
-   
-      ! Compute the number of days in February for the given year
-   
-      IMPLICIT NONE
-   
-      INTEGER :: year
-      INTEGER :: num_days
-   
-      num_days = 28 ! By default, February has 28 days ...
-      IF (MOD(year,4).eq.0) THEN  
-         num_days = 29  ! But every four years, it has 29 days ...
-         IF (MOD(year,100).eq.0) THEN
-            num_days = 28  ! Except every 100 years, when it has 28 days ...
-            IF (MOD(year,400).eq.0) THEN
-               num_days = 29  ! Except every 400 years, when it has 29 days.
-            END IF
-         END IF
-      END IF
-   
-   END FUNCTION nfeb
+!   FUNCTION nfeb ( year ) RESULT (num_days)
+!   
+!      ! Compute the number of days in February for the given year
+!   
+!      IMPLICIT NONE
+!   
+!      INTEGER :: year
+!      INTEGER :: num_days
+! 
+!        num_days = 99999
+!        PRINT *, 'WARNING !'  
+!! normally never called ...        
+!  
+!!      num_days = 28 ! By default, February has 28 days ...
+!!      IF (MOD(year,4).eq.0) THEN  
+!!         num_days = 29  ! But every four years, it has 29 days ...
+!!         IF (MOD(year,100).eq.0) THEN
+!!            num_days = 28  ! Except every 100 years, when it has 28 days ...
+!!            IF (MOD(year,400).eq.0) THEN
+!!               num_days = 29  ! Except every 400 years, when it has 29 days.
+!!            END IF
+!!         END IF
+!!      END IF
+!   
+!   END FUNCTION nfeb
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -623,5 +647,5 @@
    
       CHARACTER(LEN=19) , INTENT(IN) :: date 
-   
+ 
       !  Output data.
    
@@ -636,4 +660,4 @@
    
    END SUBROUTINE split_date_char
-   
+
 END MODULE date_pack
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/src/process_domain_module.F90
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/src/process_domain_module.F90	(revision 11)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/metgrid/src/process_domain_module.F90	(revision 12)
@@ -106,13 +106,18 @@
    
          call geth_newdate(valid_date, trim(start_date(n)), t*interval_seconds)
+
+         print *,'now working on ...'       
+         print *,valid_date
+
          temp_date = ' '
 
-         if (mod(interval_seconds,3600) == 0) then
-            write(temp_date,'(a13)') valid_date(1:10)//'_'//valid_date(12:13)
-         else if (mod(interval_seconds,60) == 0) then
-            write(temp_date,'(a16)') valid_date(1:10)//'_'//valid_date(12:16)
-         else
+!*****MARS !!!
+!         if (mod(interval_seconds,3700) == 0) then
+!            write(temp_date,'(a13)') valid_date(1:10)//'_'//valid_date(12:13)
+!         else if (mod(interval_seconds,100) == 0) then
+!            write(temp_date,'(a16)') valid_date(1:10)//'_'//valid_date(12:16)
+!         else
             write(temp_date,'(a19)') valid_date(1:10)//'_'//valid_date(12:19)
-         end if
+!         end if
    
          call mprintf(.true.,STDOUT, ' Processing %s', s1=trim(temp_date))
@@ -726,4 +731,7 @@
                            met_dy = abs(deltalat)
                         else
+!
+! MARS MARS: BEWARE WITH THAT PART !
+!
 ! BUG: Need to more correctly handle dx/dy in meters.
                            met_dx = met_dx / 111000.  ! Convert meters to approximate degrees
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars_TESTS
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars_TESTS	(revision 12)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars_TESTS	(revision 12)
@@ -0,0 +1,232 @@
+# See options.txt for a (somewhat up to date) list of the 
+# options that may be specified here.
+===============================
+name = HGT_M
+        priority = 1
+        dest_type = continuous
+        df_dx=SLPX
+        df_dy=SLPY
+        fill_missing=9000.
+        smooth_option = 1-2-1; smooth_passes=5 #10000
+#         smooth_option = 1-2-1; smooth_passes=2
+#        smooth_option = smth-desmth_special; smooth_passes=5
+#        smooth_option = smth-desmth_special; smooth_passes=1
+#        smooth_option = smth-desmth; smooth_passes=5
+##        smooth_option = 1-2-1; smooth_passes=5
+#### tous a four_pt normalement
+	interp_option =		default:sixteen_pt+four_pt
+        interp_option = 	32ppd:sixteen_pt+four_pt
+        interp_option =         32ppd_HRalb:sixteen_pt+four_pt
+        interp_option =         gcm:four_pt
+        interp_option = 	64ppd:sixteen_pt+four_pt
+        interp_option =         64ppd_noHRti:sixteen_pt+four_pt
+        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+        interp_option =		custom:four_pt
+        interp_option =         omega:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path= 		32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path= 		64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
+===============================
+name = HGT_U
+        output_stagger = U
+        priority = 1
+        dest_type = continuous
+        fill_missing=9000.
+        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = 1-2-1; smooth_passes=2        
+#        smooth_option = smth-desmth_special; smooth_passes=5
+#### tous a four_pt normalement
+	interp_option =		default:sixteen_pt+four_pt
+        interp_option = 	32ppd:sixteen_pt+four_pt
+        interp_option =         32ppd_HRalb:sixteen_pt+four_pt
+        interp_option = 	64ppd:sixteen_pt+four_pt
+        interp_option =         64ppd_noHRti:sixteen_pt+four_pt
+        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+        interp_option =         custom:four_pt
+        interp_option =         omega:four_pt
+        interp_option =         gcm:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path=               32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path=               64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
+===============================
+name = HGT_V
+        output_stagger = V
+        priority = 1
+        dest_type = continuous
+        fill_missing=9000.
+        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = 1-2-1; smooth_passes=2
+#        smooth_option = smth-desmth_special; smooth_passes=5
+#### tous a four_pt normalement
+	interp_option =		default:sixteen_pt+four_pt
+        interp_option = 	32ppd:sixteen_pt+four_pt
+        interp_option =         32ppd_HRalb:sixteen_pt+four_pt
+        interp_option = 	64ppd:sixteen_pt+four_pt
+        interp_option =         64ppd_noHRti:sixteen_pt+four_pt
+        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+        interp_option =         custom:four_pt
+        interp_option =         omega:four_pt
+        interp_option =         gcm:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path=               32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path=               64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
+===============================
+name = THERMAL_INERTIA
+        priority = 1
+        dest_type = continuous
+        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = smth-desmth_special; smooth_passes=5        
+#        smooth_option = smth-desmth_special; smooth_passes=1
+ 	interp_option =	 	32ppd:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               32ppd:thermal_GCM/
+        interp_option =         32ppd_HRalb:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               32ppd_HRalb:thermal_GCM/
+        interp_option =         64ppd:sixteen_pt+four_pt
+        rel_path=               64ppd:thermal_TES/
+        interp_option =         64ppd_noHRti:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               64ppd_noHRti:thermal_GCM/
+        interp_option =         custom:sixteen_pt+four_pt
+#       rel_path=               custom:thermal_TES/
+	rel_path=               custom:thermal_GCM/
+        interp_option =         omega:sixteen_pt+four_pt
+        rel_path=               omega:thermal_GCM/
+        interp_option =         gcm:four_pt
+        rel_path=               gcm:thermal_GCM/
+	fill_missing=400. #north polar TI (needed with thermal_TES)
+        fill_missing=4000. #north polar TI (needed with thermal_TES 64ppd)
+        fill_missing=4100. #north polar TI (needed with thermal_TES 64ppd)
+#        fill_missing=180. #polar projection artefacts
+===============================
+name = ALBEDO_GCM
+        priority = 1
+        dest_type = continuous
+        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = smth-desmth_special; smooth_passes=5 #3
+#        fill_missing=0.25
+#        interp_option = default:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        interp_option = 32ppd:four_pt+average_4pt+average_16pt+search
+        rel_path =      32ppd:albedo_GCM/
+        interp_option = 32ppd_HRalb:sixteen_pt+four_pt
+        rel_path=       32ppd_HRalb:albedo_TES/
+        interp_option = 64ppd:sixteen_pt+four_pt
+        rel_path=       64ppd:albedo_TES/
+        interp_option = 64ppd_noHRti:sixteen_pt+four_pt
+        rel_path=       64ppd_noHRti:albedo_TES/
+        fill_missing=0.35 #north polar alb (needed with albedo_TES - albedo_GCM/1.3 to be consistent)
+        fill_missing=0.33 #north polar alb (needed with albedo_TES 64 ppd)
+        fill_missing=0.325 #north polar alb (needed with albedo_TES 64 ppd)
+        interp_option = custom:sixteen_pt+four_pt
+        rel_path=       custom:albedo_TES/
+        interp_option = omega:sixteen_pt+four_pt
+        rel_path=       omega:albedo_OMG/
+        interp_option = gcm:four_pt
+        rel_path =      gcm:albedo_GCM/
+#===============================
+#name=LANDUSEF
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=land_cat
+#        landmask_water=16               # Calculate a landmask from this field
+#        dominant=LU_INDEX
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:landuse_30s/
+#        rel_path=      2m:landuse_2m/
+#        rel_path=      5m:landuse_5m/
+#        rel_path=     10m:landuse_10m/
+#        rel_path= default:landuse_2m/
+#===============================
+#name=SOILTEMP
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:sixteen_pt+four_pt+average_4pt+average_16pt+search
+#        masked=water
+#        fill_missing=0.
+#        rel_path=default:soiltemp_1deg/
+#===============================
+#name=SOILCTOP
+#        dominant=SOILCAT
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=soil_cat
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:soiltype_top_30s/
+#        rel_path=      2m:soiltype_top_2m/
+#        rel_path=      5m:soiltype_top_5m/
+#        rel_path=     10m:soiltype_top_10m/
+#        rel_path= default:soiltype_top_2m/
+#===============================
+#name=SOILCBOT
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=soil_cat
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:soiltype_bot_30s/
+#        rel_path=      2m:soiltype_bot_2m/
+#        rel_path=      5m:soiltype_bot_5m/
+#        rel_path=     10m:soiltype_bot_10m/
+#        rel_path= default:soiltype_bot_2m/
+#===============================
+#name=ALBEDO12M
+#        priority=1
+#        dest_type=continuous
+#        z_dim_name=month
+#        masked = water
+#        fill_missing = 8.
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        rel_path=default:albedo_ncep/
+#===============================
+#name=GREENFRAC
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        z_dim_name=month
+#        masked = water
+#        fill_missing = 0.
+#        rel_path=default:greenfrac/
+#===============================
+#name=SNOALB
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        masked = water
+#        fill_missing = 0.
+#        rel_path=default:maxsnowalb/
+#===============================
+#name=SLOPECAT
+#        priority=1
+#        dominant_only=SLOPECAT
+#        dest_type=categorical
+#        z_dim_name=slope_cat
+#        masked = water
+#        fill_missing = 0.
+#        interp_option=default:nearest_neighbor+average_16pt+search
+#        rel_path=default:islope/
+#===============================
+
Index: trunk/mesoscale/LMD_MM_MARS/WPS_GEOG/NON_SYNCHRONISE.txt
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/WPS_GEOG/NON_SYNCHRONISE.txt	(revision 12)
+++ trunk/mesoscale/LMD_MM_MARS/WPS_GEOG/NON_SYNCHRONISE.txt	(revision 12)
@@ -0,0 +1,9 @@
+drwxr-xr-- 2 aslmd lmdjus  512 Jan 24 13:08 albedo_TES
+-rw-r--r-- 1 aslmd lmdjus 3.2M Oct 13  2009 albedo_TES.tar.gz
+drwxr-xr-- 2 aslmd lmdjus  512 Jan 24 13:08 mola_topo32
+-rw-r--r-- 1 aslmd lmdjus  91M Oct 13  2009 mola_topo32.tar.gz
+drwxr-xr-- 2 aslmd lmdjus  512 Jan 24 13:08 mola_topo64
+-rw-r--r-- 1 aslmd lmdjus 329M Oct 13  2009 mola_topo64.tar.gz
+drwxr-xr-- 2 aslmd lmdjus  512 Jan 24 13:08 thermal_TES
+-rw-r--r-- 1 aslmd lmdjus  27M Oct 13  2009 thermal_TES.tar.gz
+
